IMakefileReference.EMakeEngine (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IMakefileReference.EMakeEngine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Enum IMakefileReference.EMakeEngine

    java.lang.Object
      java.lang.Enum<IMakefileReference.EMakeEngine>
          com.nokia.carbide.cpp.epoc.engine.model.bldinf.IMakefileReference.EMakeEngine

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IMakefileReference.EMakeEngine>

Enclosing interface:
  IMakefileReference

    public static enum IMakefileReference.EMakeEngine

extends java.lang.Enum<IMakefileReference.EMakeEngine>

Enum Constant Summary
`GNUMAKEFILE`
`MAKEFILE`
`NMAKEFILE`

Method Summary
`static IMakefileReference.EMakeEngine` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IMakefileReference.EMakeEngine[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAKEFILE

    public static final IMakefileReference.EMakeEngine MAKEFILE

### NMAKEFILE

    public static final IMakefileReference.EMakeEngine NMAKEFILE

### GNUMAKEFILE

    public static final IMakefileReference.EMakeEngine GNUMAKEFILE

Method Detail

### values

    public static final IMakefileReference.EMakeEngine[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IMakefileReference.EMakeEngine c : IMakefileReference.EMakeEngine.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IMakefileReference.EMakeEngine valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD